Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364780 - Failure when updating VM that is previewing a snapshot
Summary: Failure when updating VM that is previewing a snapshot
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ovirt-4.0.4
: 4.0.4
Assignee: Daniel Erez
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-07 11:28 UTC by Arik
Modified: 2016-09-26 12:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-26 12:41:15 UTC
oVirt Team: Storage
amureini: ovirt-4.0.z?
rule-engine: planning_ack?
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 62074 master MERGED webadmin: edit VM - update instance image when needed 2016-08-09 15:32:03 UTC
oVirt gerrit 62160 ovirt-engine-4.0 MERGED webadmin: edit VM - update instance image when needed 2016-08-09 16:00:11 UTC

Description Arik 2016-08-07 11:28:55 UTC
Description of problem:
I'm not sure why, but when trying to update a VM that was set to preview a snapshot the engine tries to edit its disk and therefore we get in the webadmin the following error although the update (in this case of memory) succeed:
Cannot edit Virtual Disk. VM is previewing a Snapshot.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Preview a snapshot
2. Update the memory of the VM
3.

Actual results:
The update succeed but we get in the webadmin the error mentioned above.

Expected results:
The update should succeed with no error.

Additional info:

Comment 1 Arik 2016-08-07 11:43:27 UTC
Aharon, can you please check if it happens also on 4.0.2?

Comment 2 Aharon Canan 2016-08-07 13:32:33 UTC
(In reply to Arik from comment #1)
> Aharon, can you please check if it happens also on 4.0.2?

Kevin - 
Please do

Comment 3 Kevin Alon Goldblatt 2016-08-14 12:27:11 UTC
(In reply to Arik from comment #1)
> Aharon, can you please check if it happens also on 4.0.2?

Tested with the following code:
-------------------------------
rhevm-4.0.2.4-0.1.el7ev.noarch
vdsm-4.18.10-1.el7ev.x86_64


Tested with the following scenario:
-----------------------------------
1. Previewed a snapshot of the VM
2. Tried updating the memory of the VM >>>>> the same error is displayed:
Cannot edit Virtual Disk. VM is previewing a Snapshot.

Comment 4 Kevin Alon Goldblatt 2016-09-04 14:57:29 UTC
Tested with the following code:
----------------------------------------
rhevm-4.0.2.4-0.1.el7ev.noarch
vdsm-4.18.10-1.el7ev.x86_64

rhevm-4.0.4-0.1.el7ev.noarch
vdsm-4.18.12-1.el7ev.x86_64

Tested with the following scenario:


Steps to Reproduce:
1. Previewed a snapshot of the VM
2. Tried updating the memory of the VM  >>>>> the memory was successfully updated




Actual results:
the memory was successfully updated

Expected results:



Moving to VERIFIED!


Note You need to log in before you can comment on or make changes to this bug.